1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

XF 1.2 1.21 from 1.15 Error

Discussion in 'Installation, Upgrade, and Import Support' started by DaiAku, Sep 2, 2013.

  1. DaiAku

    DaiAku Active Member

    Hi Xenforo,

    Any idea what the problem is here? Below in blue is what gets printed on the admin panel when I tried to upgrade to 1.21 to our staging server. During the upgrade the continue button had to be clicked over and over again :(.

    I thought I turned off all the add-ons before I started the install.

    Server Error

    Declaration of TMS_Model_Template::compileAndInsertParsedTemplate() should be compatible with XenForo_Model_Template::compileAndInsertParsedTemplate($templateMapId, $parsedTemplate, $title, $compileStyleId, $doDbWrite = NULL)

    1. XenForo_Application::handlePhpError() in XenForo/Autoloader.php at line 119
    2. XenForo_Autoloader::autoload() in XenForo/Autoloader.php at line 119
    3. XenForo_Autoloader->autoload() in XenForo/Application.php at line 1000
    4. XenForo_Application::autoload() in XenForo/Application.php at line 514
    5. XenForo_Application::resolveDynamicClass() in XenForo/Model.php at line 189
    6. XenForo_Model::create() in XenForo/Controller.php at line 101
    7. XenForo_Controller->getModelFromCache() in XenForo/ControllerAdmin/Home.php at line 26
    8. XenForo_ControllerAdmin_Home->actionIndex() in XenForo/FrontController.php at line 337
    9. XenForo_FrontController->dispatch() in XenForo/FrontController.php at line 134
    10. XenForo_FrontController->run() in /var/app/current/public_html/forums/admin.php at line 13

  2. Jeremy

    Jeremy XenForo Moderator Staff Member

    This is an issue with the template modifications system, you should ask in the add-on thread.
  3. oman

    oman Well-Known Member

    Looks like something to do with the TMS (Template Modification System) add on: http://xenforo.com/community/resources/template-modification-system-tms.293/

    Upgrade it to the latest version, or disable it and uninstall it.
  4. DaiAku

    DaiAku Active Member

    Ok thank you. I thought I had disabled them.

Share This Page